<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Class model.GameRule</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class model.GameRule";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/GameRule.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/GameRule.html" target="_top">Frames</a></li>
<li><a href="GameRule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class model.GameRule" class="title">Uses of Class<br>model.GameRule</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../model/GameRule.html" title="class in model">GameRule</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#controler">controler</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#model">model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="controler">
<!--   -->
</a>
<h3>Uses of <a href="../../model/GameRule.html" title="class in model">GameRule</a> in <a href="../../controler/package-summary.html">controler</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../controler/package-summary.html">controler</a> that return <a href="../../model/GameRule.html" title="class in model">GameRule</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/GameRule.html" title="class in model">GameRule</a></code></td>
<td class="colLast"><span class="strong">Game.</span><code><strong><a href="../../controler/Game.html#getGameRule()">getGameRule</a></strong>()</code>
<div class="block">Gets the gameRule of this game.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../model/GameRule.html" title="class in model">GameRule</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/Game.html#Game(model.GameRule,%20view.Blokus)">Game</a></strong>(<a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr,
    <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new game.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="model">
<!--   -->
</a>
<h3>Uses of <a href="../../model/GameRule.html" title="class in model">GameRule</a> in <a href="../../model/package-summary.html">model</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../model/GameRule.html" title="class in model">GameRule</a> in <a href="../../model/package-summary.html">model</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a></strong></code>
<div class="block">The Class GameRuleOnline.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> that return <a href="../../model/GameRule.html" title="class in model">GameRule</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/GameRule.html" title="class in model">GameRule</a></code></td>
<td class="colLast"><span class="strong">IA.</span><code><strong><a href="../../model/IA.html#getGameRule()">getGameRule</a></strong>()</code>
<div class="block">Gets the game rule.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> with parameters of type <a href="../../model/GameRule.html" title="class in model">GameRule</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getAncreOtherPlayer(model.Piece,%20model.Position,%20model.GameRule)">getAncreOtherPlayer</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                   <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos,
                   <a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the anchor of other player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getNextPiece(model.Player,%20int,%20model.GameRule)">getNextPiece</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p,
            int&nbsp;level,
            <a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the next piece to place for an IA.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getWeight(model.Piece,%20model.Position,%20int,%20model.GameRule)">getWeight</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
         <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos,
         int&nbsp;level,
         <a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the weight.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">IA.</span><code><strong><a href="../../model/IA.html#nextMove(model.GameRule)">nextMove</a></strong>(<a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Compute the next move of this AI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">IA.</span><code><strong><a href="../../model/IA.html#setGameRule(model.GameRule)">setGameRule</a></strong>(<a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gameRule)</code>
<div class="block">Sets the game rule.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#tryAllWeight(model.Piece,%20model.Position,%20int,%20int,%20model.GameRule)">tryAllWeight</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
            <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos,
            int&nbsp;level,
            int&nbsp;minWeight,
            <a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/GameRule.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/GameRule.html" target="_top">Frames</a></li>
<li><a href="GameRule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
